I don't know any VBA yet. I currently program in VLisp. I figured this should be a "piece of cake" for even a novice VBA programmer. I already know I need to learn VBA, so please don't remind me of that shortcoming. Right now I have an immediate problem to solve. Another individual wrote a small VBA app' that allows users of my VLisp app' to browse for a folder. When the desired folder is found, selecting "OK" in the dialog returns the path, then stores that string in the attribute of a block in the drawing. The sole purpose of the block is to act as a container that the VBA app' can write to and the VLisp app' can read from. I wouldn't even be making this post if VLisp allowed users to select folders, but it only allows file selection. Now that I'm a little tiny bit smarter, I've learned to use the ( vlax-ldata- ) functions to store and access program-related information that I do not want to send outside of the drawing. Can anyone modify this DVB code fragment for me so that the folder name string is sent to a dictionary named "MyDictionary" into a key name "MyKey" that I'll be able to access with ( vlax-ldata-get/read )? By the way, I no longer have any desire to use the project data path block, so it could be commented out permanently, as far as I'm concerned. Here's the code that I think is the pertinent fragment. ********************************************************************** 'Code to send path to Project_Data_Path Block Dim PathBlk As AcadBlockReference, Obj As AcadObject, ArAttribs As Variant Dim PathAttrib As AcadAttributeReference For Each Obj In ThisDrawing.ModelSpace If TypeOf Obj Is AcadBlockReference Then If StrComp(Obj.Name, "Project_Data_Path", vbTextCompare) = 0 Then 'MsgBox "found " & Obj.Name ArAttribs = Obj.GetAttributes For i = LBound(ArAttribs) To UBound(ArAttribs) If StrComp("Path", ArAttribs(i).TagString, vbTextCompare) = 0 Then ArAttribs(i).TextString = txtPath End If 'MsgBox "For the " & Obj.Name & " Block" & vbCrLf & _ '"TAG: " & ArAttribs(i).TagString & " VALUE: " & ArAttribs(i).TextString Next End If End If Next End Sub ********************************************************************** Thanks!